Subject: Re: gcc version 3.4.4 (cygming special, gdc 0.12, using dmd 0.125) Internal compiler error
From: Cory Cohen <[email-masked]>
To: Dave Korn <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Apr 2008 12:10:45 -0400
List-Id: <cygwin.cygwin.com>

Dave Korn wrote:
>   Sorry, I've been ill.
>
>   I saw your report.  It was exemplary, self-contained and complete.  In
> particular thanks for sending the .ii file.
>
>   Funnily enough, I can't reproduce it that way.  I can reproduce it on one
> out of two machines, and only when compiling the original file.  Adding
> --save-temps stops it from crashing also.  It appears to be caused by the
> --output-pch option passed to cc1plus internally by the g++ driver.
>
>   You might be able to use the --save-temps option as a workaround.  I'll
> investigate the bug and see why it happens.  It might not be too much hassle
> to issue a bugfix relese of the cygwin compiler package.
>
>   Thanks for your report - and your patience!
>   
Thanks for the response.  I'm glad to see that it's not just my system.  
I'll try the --save-temps work around.  If there's anything at all that 
I can do to help, please let me know.  I've become pretty dependent on 
cygwin, and would hate to have to go back to a real Linux box to get a 
working compiler. :-(

How's the 4.x port coming?  Is there somewhere that I can download the 
gcc patches for cygwin and see how complicated it is?  I assume that 
there's no hope of the 4.x branch compiling on cygwin without major surgery?

Cory

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/